;(function(){const previousDevice=window.device
const device={}
const changeOrientationList=[]
window.device=device
const documentElement=window.document.documentElement
const userAgent=window.navigator.userAgent.toLowerCase()
const television=['googletv','viera','smarttv','internet.tv','netcast','nettv','appletv','boxee','kylo','roku','dlnadoc','pov_tv','hbbtv','ce-html']
device.macos=function(){return find('mac')}
device.ios=function(){return device.iphone()||device.ipod()||device.ipad()}
device.iphone=function(){return!device.windows()&&find('iphone')}
device.ipod=function(){return find('ipod')}
device.ipad=function(){const iPadOS13Up=navigator.platform==='MacIntel'&&navigator.maxTouchPoints>1
return find('ipad')||iPadOS13Up};device.android=function(){return!device.windows()&&find('android')}
device.androidPhone=function(){return device.android()&&find('mobile')}
device.androidTablet=function(){return device.android()&&!find('mobile')}
device.blackberry=function(){return find('blackberry')||find('bb10')}
device.blackberryPhone=function(){return device.blackberry()&&!find('tablet')}
device.blackberryTablet=function(){return device.blackberry()&&find('tablet')}
device.windows=function(){return find('windows')}
device.windowsPhone=function(){return device.windows()&&find('phone')}
device.windowsTablet=function(){return device.windows()&&(find('touch')&&!device.windowsPhone())}
device.fxos=function(){return(find('(mobile')||find('(tablet'))&&find(' rv:')}
device.fxosPhone=function(){return device.fxos()&&find('mobile')}
device.fxosTablet=function(){return device.fxos()&&find('tablet')}
device.meego=function(){return find('meego')}
device.cordova=function(){return window.cordova&&location.protocol==='file:'}
device.nodeWebkit=function(){return typeof window.process==='object'}
device.mobile=function(){return(device.androidPhone()||device.iphone()||device.ipod()||device.windowsPhone()||device.blackberryPhone()||device.fxosPhone()||device.meego())}
device.tablet=function(){return(device.ipad()||device.androidTablet()||device.blackberryTablet()||device.windowsTablet()||device.fxosTablet())}
device.desktop=function(){return!device.tablet()&&!device.mobile()}
device.television=function(){let i=0
while(i<television.length){if(find(television[i])){return true}
i++}
return false}
device.portrait=function(){if(screen.orientation&&Object.prototype.hasOwnProperty.call(window,'onorientationchange')){return includes(screen.orientation.type,'portrait')}
if(device.ios()&&Object.prototype.hasOwnProperty.call(window,'orientation')){return Math.abs(window.orientation)!==90}
return window.innerHeight/window.innerWidth>1}
device.landscape=function(){if(screen.orientation&&Object.prototype.hasOwnProperty.call(window,'onorientationchange')){return includes(screen.orientation.type,'landscape')}
if(device.ios()&&Object.prototype.hasOwnProperty.call(window,'orientation')){return Math.abs(window.orientation)===90}
return window.innerHeight/window.innerWidth<1}
device.noConflict=function(){window.device=previousDevice
return this}
function includes(haystack,needle){return haystack.indexOf(needle)!==-1}
function find(needle){return includes(userAgent,needle)}
function hasClass(className){return documentElement.className.match(new RegExp(className,'i'))}
function addClass(className){let currentClassNames=null
if(!hasClass(className)){currentClassNames=documentElement.className.replace(/^\s+|\s+$/g,'')
documentElement.className=`${currentClassNames}${className}`}}
function removeClass(className){if(hasClass(className)){documentElement.className=documentElement.className.replace(`${className}`,'')}}
if(device.ios()){if(device.ipad()){addClass('ios ipad tablet')}else if(device.iphone()){addClass('ios iphone mobile')}else if(device.ipod()){addClass('ios ipod mobile')}}else if(device.macos()){addClass('macos desktop')}else if(device.android()){if(device.androidTablet()){addClass('android tablet')}else{addClass('android mobile')}}else if(device.blackberry()){if(device.blackberryTablet()){addClass('blackberry tablet')}else{addClass('blackberry mobile')}}else if(device.windows()){if(device.windowsTablet()){addClass('windows tablet')}else if(device.windowsPhone()){addClass('windows mobile')}else{addClass('windows desktop')}}else if(device.fxos()){if(device.fxosTablet()){addClass('fxos tablet')}else{addClass('fxos mobile')}}else if(device.meego()){addClass('meego mobile')}else if(device.nodeWebkit()){addClass('node-webkit')}else if(device.television()){addClass('television')}else if(device.desktop()){addClass('desktop')}
if(device.cordova()){addClass('cordova')}
function handleOrientation(){if(device.landscape()){removeClass('portrait')
addClass('landscape')
walkOnChangeOrientationList('landscape')}else{removeClass('landscape')
addClass('portrait')
walkOnChangeOrientationList('portrait')}
setOrientationCache()}
function walkOnChangeOrientationList(newOrientation){for(const index in changeOrientationList){changeOrientationList[index](newOrientation)}}
device.onChangeOrientation=function(cb){if(typeof cb=='function'){changeOrientationList.push(cb)}}
let orientationEvent='resize'
if(Object.prototype.hasOwnProperty.call(window,'onorientationchange')){orientationEvent='orientationchange'}
if(window.addEventListener){window.addEventListener(orientationEvent,handleOrientation,false)}else if(window.attachEvent){window.attachEvent(orientationEvent,handleOrientation)}else{window[orientationEvent]=handleOrientation}
handleOrientation()
function findMatch(arr){for(let i=0;i<arr.length;i++){if(device[arr[i]]()){return arr[i]}}
return'unknown'}
device.type=findMatch(['mobile','tablet','desktop'])
device.os=findMatch(['ios','iphone','ipad','ipod','android','blackberry','macos','windows','fxos','meego','television'])
function setOrientationCache(){device.orientation=findMatch(['portrait','landscape'])}
setOrientationCache()}).call(this);;(function(window,document){var _instance,helper=_instance||new Helper();function Helper(){}
Helper.prototype.createEl=function(type,attributesArray,parentElement){var element,i=0,_parent=parentElement||document.body;element=document.createElement(type);for(;i<attributesArray.length;i++){element.setAttribute(attributesArray[i].split(/:(.+)/)[0],attributesArray[i].split(/:(.+)/)[1]||'');}
_parent.appendChild(element);};Helper.prototype.insertAfter=function(elem,refElem){var parent=refElem.parentNode,next=refElem.nextSibling;if(next){return parent.insertBefore(elem,next);}else{return parent.appendChild(elem);}};Helper.prototype.addEvent=function(events,selectorList,callback,parentElement){parentElement=document.querySelector(parentElement)||document;var _selectorList=selectorList.split(','),_elementsMap=[],_events=events.split(' '),elements,i=0,m=0;for(;i<_selectorList.length;i++){elements=parentElement.querySelectorAll(_selectorList[i].trim());for(var n=0;n<elements.length;n++){_elementsMap.push(elements[n]);}}
for(;m<_elementsMap.length;m++){for(var f=0;f<_events.length;f++){_elementsMap[m].addEventListener(_events[f],function(event){callback(event,event.target);},false);}}
return this;};Helper.prototype.offset=function(el){var rect,scrollLeft,scrollTop;rect=el.getBoundingClientRect();scrollLeft=window.pageXOffset||document.documentElement.scrollLeft;scrollTop=window.pageYOffset||document.documentElement.scrollTop;return{top:rect.top+scrollTop,left:rect.left+scrollLeft}};window.helper=helper;})(window,document);;(function(window,document,undefined){'use strict';const FLEXKIT_NAME='flexkit';const FLEXKIT_PSEUDO_NAME='[flexkit]';const FLEXKIT_VERSION='0.0.2';var define,module,flexkit,_instance,options,events,documentElement,body,themeName,arrayBrowserRelType={Firefox:'prerender',Chrome:'preload',ie:'prerender'};flexkit={init:function(options){return _instance||new Flexkit(options);}};function Flexkit(options){documentElement=document.documentElement;body=document.body;options=options||{};themeName=document.getElementById('current_theme')?document.getElementById('current_theme').value:false;this.name=FLEXKIT_NAME;this.version=FLEXKIT_VERSION;this.themeName=themeName;_instance=this;var _boxStyle=options.chooseBoxStyle||false;_loadScript(options.loadScript);if(_boxStyle){_chooseBoxStyle();}
console.log('%s init.',FLEXKIT_PSEUDO_NAME);return _instance;}
function _loadScript(arrayScriptsName){if(!arrayScriptsName)return false;if(themeName){var i=0,scriptPath=window.location.href+'themes/'+themeName+'/js/plugin/',scriptName;for(;i<arrayScriptsName.length;i++){scriptName=arrayScriptsName[i]+'.min.js';helper.createEl('SCRIPT',['async','src:'+scriptPath+scriptName]);}}}
function _chooseBoxStyle(){var items=document.querySelectorAll('[type="checkbox"]:not(.filed-upgrade):not(.icon):not(.hidden):not(.processed),[type="radio"]:not(.filed-upgrade):not(.icon):not(.hidden):not(.processed)'),elForCreate,id;for(var i=0,len=items.length;i<len;i++){id=items[i].id;if(!id){items[i].id=id='chr-'+Math.floor((Math.random()*1000)+1);}
if(items[i].parentNode.nodeName==='LABEL'){items[i].parentNode.setAttribute('for',id);}
if(!items[i].parentNode.classList.contains('btn-group')){if(items[i].parentNode.nodeName==='LABEL'){elForCreate=document.createElement('SPAN');}else{elForCreate=document.createElement('LABEL');elForCreate.setAttribute('for',id);}
elForCreate.classList.add('checkbox_radio');helper.insertAfter(elForCreate,items[i]);}
items[i].classList.add('filed-upgrade','processed');}}
Flexkit.prototype.showLoader=function(type){var name=(type)?'loaded':'d-loaded';document.documentElement.classList.remove(name);};Flexkit.prototype.hideLoader=function(type){var name=(type)?'loaded':'d-loaded';document.documentElement.classList.add(name);};Flexkit.prototype.getSpaceFromTop=function(){return window.pageYOffset||document.documentElement.scrollTop;};Flexkit.prototype.isMobile=function(callback){if(device.type!=='desktop'){console.log('%s Mobile scripts loaded.',FLEXKIT_PSEUDO_NAME);callback();}};Flexkit.prototype.isLang=function(language){language=language||'';if(documentElement.lang===language.toLowerCase()){return true;}else{return document.documentElement.lang;}};if(typeof define==='function'&&define.amd){define([],function(){return flexkit;});}else if(typeof module!=='undefined'&&module.exports){module.exports=flexkit;}else{window.flexkit=flexkit;}}(window,document));
function _accordion(){$(".accordion").accordion({header:"h4",collapsible:true,heightStyle:"content",icons:{"header":"icon-arrow-right2","activeHeader":"icon-arrow-down2"}}).each(function(){var $this=$(this),dataIcon=$this.data('accordion-icons');if(dataIcon==false){$this.accordion("option","icons",false);}
if(dataIcon!==false&&typeof dataIcon!=='undefined'){var iconClass=dataIcon.split(/\s*,\s*/);$this.accordion("option","icons",{"header":iconClass[0],"activeHeader":iconClass[1]});}})}
_accordion();
function _dialog(){$(".dialog-btn").each(function(){var el=$(this).data('dialog-element'),open=$(this).data('dialog-open')?$(this).data('dialog-open'):false;$(el).dialog({autoOpen:open,modal:true,maxHeight:($(window).height()-$(window).height()*0.1)});});$(document).on('click',".dialog-btn",function(e){e.preventDefault();var data=$(this).data();dialogInit({'el':data.dialogElement,'func':data.dialogFunc,'title':data.dialogTitle,'width':data.dialogWidth,'height':data.dialogHeight,'effect':data.dialogEffect,'classes':data.dialogClasses,'autoOpen':data.dialogAutoopen,'draggable':data.dialogDraggable,'resizable':data.dialogResizable});});}
_dialog();function dialogInit(option){var el=option.el,func=option.func!==undefined?option.func:false,title=option.title!==undefined?option.title:false,width=option.width||600,height=option.height||'auto',effect=option.effect||'fade',classes=option.classes||'',buttons=option.buttons||[],autoOpen=option.autoOpen!==undefined?option.autoOpen:true,draggable=option.draggable!==undefined?option.draggable:false,resizable=option.resizable!==undefined?option.resizable:false;$(el).each(function(){var $this=$(this),data=$this.data();$this.dialog({autoOpen:data.dialogAutoopen||autoOpen,modal:true,show:{effect:data.dialogEffect||effect},hide:{effect:data.dialogEffect||effect},width:data.dialogWidth||width,height:data.dialogHeight||height,buttons:buttons,resizable:data.dialogResizable||resizable,draggable:data.dialogDraggable||draggable,maxHeight:($(window).height()-$(window).height()*0.1),dialogClass:data.dialogClasses||classes,open:function(event,ui){eval('('+(data.dialogFunc||func)+')');}});if(data.dialogTitle||title){$(el).dialog('option','title',data.dialogTitle||title)}});}
var body=document.body;var flexkit=flexkit.init({chooseBoxStyle:true});var contactClick=false;helper.addEvent('click','[href^="mailto:"], [href^="tel:"]',function(){contactClick=true;});window.onbeforeunload=function(){if(!contactClick){flexkit.showLoader(device.type);}
contactClick=false;};window.addEventListener('load',function(){flexkit.hideLoader(device.type);});var onReCaptchaSuccess=function(){var destElementOffset;if(device.ipad()||device.iphone()){destElementOffset=helper.offset(document.querySelector('.g-recaptcha')).top-60;$('html, body').animate({scrollTop:destElementOffset},1000);}}
var captchaArray=document.querySelectorAll('.g-recaptcha');for(var i=0,len=captchaArray.length;i<len;i++){captchaArray[i].dataset.callback='onReCaptchaSuccess';}
flexkit.isMobile(function(){replaceSelector(':hover|:active','.touch',false);helper.addEvent('touchstart','body',function(event,element){element.classList.add('touch')}).addEvent('touchend touchmove','body',function(event,element){element.classList.remove('touch');}).addEvent('click','[data-refer]',function(event,element){_tapAction(element);});function _tapAction(element){if(typeof element!='undefined'&&element.dataset.refer.length){var referName=element.dataset.refer;document.querySelector('[data-el="'+referName+'"]').classList.add('open');body.setAttribute('data-overlay','');body.addEventListener('touchend',_closeMenu);}}
function _closeMenu(event){if(event.target.hasAttribute('data-overlay')){event.preventDefault();document.querySelector('.m-menu.open').classList.remove('open');body.removeAttribute('data-overlay');}}
tapButton('sub-menu-btn',function(e){if(!window.Hammer){e.stopPropagation();}else{e.srcEvent.stopPropagation();}
e.preventDefault();e.target.classList.toggle('active');e.target.parentNode.querySelector('ul').classList.toggle('open');});function tapButton(selector,fun){var listItems=document.getElementsByClassName(selector);if(!window.Hammer){for(var i=0;i<listItems.length;i++){if(window.addEventListener){listItems[i].addEventListener('click',fun,false);}else if(window.attachEvent){listItems[i].attachEvent('click',fun,false);}}}else{Hammer.each(listItems,function(item){var touchControl=new Hammer(item,{domEvents:true});touchControl.on("tap",fun);});}}});
var topBox=$('<div class="webPage-go-top"></div>').css({position:'fixed',bottom:'20px',right:'20px','z-index':'555','cursor':'pointer','display':'none'}).addClass('btn icon icon-arrow-up2');if(!device.type){$('body').append(topBox);$(window).scroll(function(e){$(window).scrollTop()<=300?$('.webPage-go-top').hide('slow'):$('.webPage-go-top').show('slow');});}
$(document).on('click','.webPage-go-top',function(e){$("html, body").animate({scrollTop:0},1000);});
var sheet,rule,selectors,newSelectorRule,newRule,j,f;function replaceSelector(oldSelector,newSelector,removeSelector){var pattern=new RegExp(oldSelector+'\\b'),patternRemove=removeSelector?new RegExp(removeSelector+'\\b'):removeSelector;try{for(var i=0;i<document.styleSheets.length;i++){sheet=document.styleSheets[i];if(sheet.cssRules!=null&&sheet.cssRules.length!=0){for(j=0;j<sheet.cssRules.length;j++){rule=sheet.cssRules[j];if(rule.type===CSSRule.STYLE_RULE){changeRule(rule,pattern,newSelector,oldSelector,rule.type,patternRemove);}else if(rule.type===CSSRule.MEDIA_RULE){for(f=0;f<rule.cssRules.length;f++){changeRule(rule.cssRules[f],pattern,newSelector,oldSelector,rule.type,patternRemove);}}}}}}catch(e){if(e.name!=="SecurityError"){throw e;}
return;}}
function changeRule(rule,pattern,newSelector,oldSelector,type,patternRemove){selectors=rule.selectorText;if(/\.btn|button|[type="button"]|[type="submit"]|a\b/.test(rule.selectorText)&&rule.style.getPropertyValue("transition")){rule.style.removeProperty("transition")}
if(patternRemove&&patternRemove.test(rule.selectorText)){var selectorsWithActive=rule.selectorText.split(',');for(var k=0;k<=selectorsWithActive.length;k++){if(patternRemove.test(selectorsWithActive[k])){selectorsWithActive.splice(k,1);k--;continue;}}
selectors=selectorsWithActive.join();if(!selectorsWithActive.length&&type===CSSRule.STYLE_RULE){sheet.deleteRule(j);j--;return;}
if(!selectorsWithActive.length&&type===CSSRule.MEDIA_RULE){sheet.cssRules[j].deleteRule(f);f--;return;}}
if(!pattern.test(rule.selectorText)){return;}
newSelectorRule=selectors.replace(new RegExp(oldSelector,'g'),newSelector);newRule=rule.cssText.replace(/([^{]*)?/,newSelectorRule+' ');if(type===CSSRule.STYLE_RULE){sheet.deleteRule(j);sheet.insertRule(newRule,j);}
if(type===CSSRule.MEDIA_RULE){sheet.cssRules[j].deleteRule(f);sheet.cssRules[j].insertRule(newRule,f);}}