var websiteUrl = window.location.origin;
var map_config = {
    'default':{
        'bordercolor':'#B52E2D', //inter-state borders
        //'lakescolor':'#66CCFF', //lakes color
        //'shadowcolor':'#000000', //shadow color below the map
        //'shadowOpacity':'50', //shadow opacity, value, 0-100
        'namescolor':'#fff', //color of the abbreviations
        //'namesShadowColor':'#666666', //tooltip shadow color
    },
    'map_1':{
        'featuredName':'linkTo',
        'namesId':'AL',//name's ID (Don't change it)
        'name': 'ALABAMA',  //state name
        'url':websiteUrl+'/accounting-franchise.html', //Goto URL
        'target':'_blank', //open link in new window:_blank, open in current window:_self
        'upcolor':'#ED1C24', //state's color when page loads
        'overcolor':'#B52E2D', //state's color when mouse hover
        'downcolor':'#B52E2D',//state's color when mouse clicking
        'enable':true//true/true to enable/disable this state
    },
    'map_2':{
        'featuredName':'linkTo',
        'namesId':'AK',
        'name': 'ALASKA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_3':{
        'featuredName':'arizona',
        'namesId':'AZ',
        'name': 'ARIZONA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_4':{
        'featuredName':'linkTo',
        'namesId':'AR',
        'name': 'ARKANSAS',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_5':{
        'featuredName':'california',
        'namesId':'CA',
        'name': 'CALIFORNIA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_6':{
        'featuredName':'colorado',
        'namesId':'CO',
        'name': 'COLORADO',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_7':{
        'featuredName':'linkTo',
        'namesId':'CT',
        'name': 'CONNECTICUT',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_8':{
        'featuredName':'linkTo',
        'namesId':'DE',
        'name': 'DELAWARE',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_9':{
        'featuredName':'florida',
        'namesId':'FL',
        'name': 'FLORIDA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_10':{
        'featuredName':'georgia',
        'namesId':'GA',
        'name': 'GEORGIA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_11':{
        'featuredName':'linkTo',
        'namesId':'HI',
        'name': 'HAWAII',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_12':{
        'featuredName':'linkTo',
        'namesId':'ID',
        'name': 'IDAHO',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_13':{
        'featuredName':'illinois',
        'namesId':'IL',
        'name': 'ILLINOIS',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_14':{
        'featuredName':'indiana',
        'namesId':'IN',
        'name': 'INDIANA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_15':{
        'featuredName':'linkTo',
        'namesId':'IA',
        'name': 'IOWA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_16':{
        'featuredName':'kansas',
        'namesId':'KS',
        'name': 'KANSAS',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_17':{
        'featuredName':'linkTo',
        'namesId':'KY',
        'name': 'KENTUCKY',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_18':{
        'featuredName':'linkTo',
        'namesId':'LA',
        'name': 'LOUISIANA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_19':{
        'featuredName':'linkTo',
        'namesId':'ME',
        'name': 'MAINE',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_20':{
        'featuredName':'maryland',
        'namesId':'MD',
        'name': 'MARYLAND',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_21':{
        'featuredName':'linkTo',
        'namesId':'MA',
        'name': 'MASSACHUSETTS',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_22':{
        'featuredName':'michigan',
        'namesId':'MI',
        'name': 'MICHIGAN',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_23':{
        'featuredName':'linkTo',
        'namesId':'MN',
        'name': 'MINNESOTA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_24':{
        'featuredName':'linkTo',
        'namesId':'MS',
        'name': 'MISSISSIPPI',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_25':{
        'featuredName':'linkTo',
        'namesId':'MO',
        'name': 'MISSOURI',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_26':{
        'featuredName':'linkTo',
        'namesId':'MT',
        'name': 'MONTANA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_27':{
        'featuredName':'nebraska',
        'namesId':'NE',
        'name': 'NEBRASKA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_28':{
        'featuredName':'nevada',
        'namesId':'NV',
        'name': 'NEVADA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_29':{
        'featuredName':'linkTo',
        'namesId':'NH',
        'name': 'NEW HAMPSHIRE',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_30':{
        'featuredName':'linkTo',
        'namesId':'NJ',
        'name': 'NEW JERSEY',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_31':{
        'featuredName':'new-mexico',
        'namesId':'NM',
        'name': 'NEW MEXICO',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_32':{
        'featuredName':'new-york',
        'namesId':'NY',
        'name': 'NEW YORK',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_33':{
        'featuredName':'linkTo',
        'namesId':'NC',
        'name': 'NORTH CAROLINA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_34':{
        'featuredName':'linkTo',
        'namesId':'ND',
        'name': 'NORTH DAKOTA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_35':{
        'featuredName':'linkTo',
        'namesId':'OH',
        'name': 'OHIO',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_36':{
        'featuredName':'linkTo',
        'namesId':'OK',
        'name': 'OKLAHOMA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_37':{
        'featuredName':'linkTo',
        'namesId':'OR',
        'name': 'OREGON',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_38':{
        'featuredName':'linkTo',
        'namesId':'PA',
        'name': 'PENNSYLVANIA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_39':{
        'featuredName':'linkTo',
        'namesId':'RI',
        'name': 'RHODE ISLAND',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_40':{
        'featuredName':'linkTo',
        'namesId':'SC',
        'name': 'SOUTH CAROLINA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_41':{
        'featuredName':'linkTo',
        'namesId':'SD',
        'name': 'SOUTH DAKOTA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_42':{
        'featuredName':'linkTo',
        'namesId':'TN',
        'name': 'TENNESSEE',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_43':{
        'featuredName':'texas',
        'namesId':'TX',
        'name': 'TEXAS',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_44':{
        'featuredName':'utah',
        'namesId':'UT',
        'name': 'UTAH',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_45':{
        'featuredName':'linkTo',
        'namesId':'VT',
        'name': 'VERMONT',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_46':{
        'featuredName':'virginia',
        'namesId':'VA',
        'name': 'VIRGINIA',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_47':{
        'featuredName':'washington',
        'namesId':'WA',
        'name': 'WASHINGTON',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_48':{
        'featuredName':'linkTo',
        'namesId':'WV',
        'name': 'WEST VIRGINIA',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_49':{
        'featuredName':'wisconsin',
        'namesId':'WI',
        'name': 'WISCONSIN',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_50':{
        'featuredName':'linkTo',
        'namesId':'WY',
        'name': 'WYOMING',
        'url':websiteUrl+'/accounting-franchise.html',
        'target':'_blank',
        'upcolor':'#ED1C24',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
    'map_51':{
        'featuredName':'washington',
        'namesId':'DC',
        'name': 'WASHINGTON DC',
        'url':websiteUrl+'',
        'target':'_blank',
        'upcolor':'transparent',
        'overcolor':'#B52E2D',
        'downcolor':'#B52E2D',
        'enable':true
    },
}